Web lists-archives.com

RE: old Wheezy will not upgrade linux-kernel

Hello Roberto,

>> After apt-get update I do an upgrade and it seems the kernel package 
>> will not install but is held back [....] 
>> # apt-get upgrade -V The following packages have been kept back:
>>    linux-image-686-pae (3.2+46 => 3.2+46+deb7u1)


I understand the difference between upgrade and dist-upgrade, but could not find a reason for needing dist-upgrade

> The reason that you are encountering this issue is because the changes to the kernel necessitated an ABI change. 
> The Linux kernel package name includes the ABI version to allow you to have multiple versions of the same 
> kernel with different ABIs. 
> Plus, it makes it easy to boot back into the previous version with any custom built modules (e.g., through
> DKMS) that may not work or be built for the new kernel ABI.

Ok, so it is not a dependency in the kernel module itself but more everything else that is dependent on it. Ok now I understand the reason for dist-upgrade.
In my mind I could find anything the kernel was dependent on so why would it be held back due to a dependency issue....

Bonno Bloksma